Scilab Function
Last update : 00/00/0000

pol2des - conversion matrice de polynômes vers forme descripteur

### Calling Sequence

  `[N,B,C]=pol2des(Ds)`

### Parameters

- `Ds` : matrice de polynômes
- `N, B, C` : 3 matrices réelles

### Description

Etant donnée la matrice de polynômes `Ds=D_0 +D_1 s +D_2 s^2 +... +D_k s^k`, `pol2des` renvoie 3 matrices `N, B, C`, avec `N` nilpotente telles que :

`Ds = C (s*N-eye())^-1 B`

### Examples

    s=poly(0,'s');
    G=[1,s;1+s^2,3*s^3];[N,B,C]=pol2des(G);
    G1=clean(C*inv(s*N-eye())*B),G2=numer(G1)

### See Also

`ss2des`, `tf2des`,

### Author

F.D.;